# Client

The main entry point for interacting with BSB-LAN devices.

## BSBLAN

::: bsblan.BSBLAN
    options:
      show_bases: false
      members:
        - __init__
        - initialize
        - device_info
        - supports_time_sync
        - get_available_circuits
        - state
        - sensor
        - static_values
        - device
        - info
        - time
        - set_time
        - thermostat
        - heating_schedule
        - set_heating_schedule
        - hot_water_state
        - hot_water_config
        - hot_water_schedule
        - set_hot_water
        - set_hot_water_schedule

## BSBLANConfig

::: bsblan.BSBLANConfig
    options:
      show_bases: false
